| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends | List of all members
ob::StreamProfile Class Reference

`#include <StreamProfile.hpp>`

Inheritance diagram for ob::StreamProfile:

## Public Member Functions
| StreamProfile (std::unique_ptr< StreamProfileImpl > impl)
| StreamProfile (StreamProfile &streamProfile)
| ~StreamProfile () noexcept
OBFormat | format () const
| Get the format of the stream. More...
OBStreamType | type () const
| Get the type of stream. More...
template<typename T >
bool | is ()
| Check if frame object is compatible with the given type. More...
template<typename T >
std::shared_ptr< T > | as ()
| Object type conversion. More...

## Protected Attributes
std::unique_ptr< StreamProfileImpl > | impl_

## Friends
class | Sensor
class | Config
class | Pipeline

## Detailed Description

Definition at line 27 of file StreamProfile.hpp.

## Constructor & Destructor Documentation

ob::StreamProfile::StreamProfile | ( | std::unique_ptr< StreamProfileImpl > | impl | ) |

ob::StreamProfile::StreamProfile | ( | StreamProfile & | streamProfile | ) |

ob::StreamProfile::~StreamProfile | ( |  | ) |
| noexcept

## Member Function Documentation

OBFormat ob::StreamProfile::format | ( |  | ) | const

Get the format of the stream.

Returns
  OBFormat returns the format of the stream

OBStreamType ob::StreamProfile::type | ( |  | ) | const

Get the type of stream.

Returns
  OBStreamType returns the type of the stream

template<typename T >

bool ob::StreamProfile::is | ( |  | ) |

Check if frame object is compatible with the given type.

Template Parameters

  T | Given type

Returns
  bool return result

Definition at line 208 of file StreamProfile.hpp.

template<typename T >

std::shared_ptr<T> ob::StreamProfile::as | ( |  | ) |
| inline

Object type conversion.

Template Parameters

  T | Target type

Returns
  std::shared_ptr<T> returns the result, if it cannot be converted, an exception will be thrown

Definition at line 89 of file StreamProfile.hpp.

## Friends And Related Function Documentation

friend class Sensor
| friend

Definition at line 96 of file StreamProfile.hpp.

friend class Config
| friend

Definition at line 97 of file StreamProfile.hpp.

friend class Pipeline
| friend

Definition at line 98 of file StreamProfile.hpp.

## Member Data Documentation

std::unique_ptr<StreamProfileImpl> ob::StreamProfile::impl_
| protected

Definition at line 29 of file StreamProfile.hpp.

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/StreamProfile.hpp